### Hierarchy

- IGameNode
  - IColor

### Implemented by

- HexColor
- TransparentColor

## Index

### Properties

- __coverageCount
- __source
- isTransparent
- toHex
- toRgb

### Methods

- __getLineAndColumnRange
- __getSourceLineAndColumn
- toSourceString
- toString

## Properties

### __coverageCount

__coverageCount: Optional<number>

Inherited from IGameNode.__coverageCount

- Defined in models/game.ts:14

### __source

__source: object

Inherited from IGameNode.__source

- Defined in models/game.ts:13

#### Type declaration

- ##### code: string

- ##### sourceOffset: number

### isTransparent

isTransparent: function

- Defined in models/colors.ts:17

#### Type declaration

- - (): boolean

  - #### Returns boolean

### toHex

toHex: function

- Defined in models/colors.ts:19

#### Type declaration

- - (): string

  - #### Returns string

### toRgb

toRgb: function

- Defined in models/colors.ts:18

#### Type declaration

- - (): RGB

  - #### Returns RGB

## Methods

### __getLineAndColumnRange

- __getLineAndColumnRange(): object

- Inherited from IGameNode.__getLineAndColumnRange

  - Defined in models/game.ts:16

  #### Returns object

  - ##### end: object

    - ##### col: number

    - ##### line: number

  - ##### start: object

    - ##### col: number

    - ##### line: number

### __getSourceLineAndColumn

- __getSourceLineAndColumn(): object

- Inherited from IGameNode.__getSourceLineAndColumn

  - Defined in models/game.ts:15

  #### Returns object

  - ##### colNum: number

  - ##### lineNum: number

### toSourceString

- toSourceString(): string

- Inherited from IGameNode.toSourceString

  - Defined in models/game.ts:18

  #### Returns string

### toString

- toString(): string

- Inherited from IGameNode.toString

  - Defined in models/game.ts:17

  #### Returns string

Generated using TypeDoc